Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network18.97.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
18.97.0.0
Broadcast address
18.97.255.255
First usable
18.97.0.1
Last usable
18.97.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 12610000 · Integer 308346880 to 308412415
Reverse DNS zone
97.18.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010010.01100001..00000000.0000000018.97.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00010010.01100001..00000000.0000000018.97.0.0
Broadcast00010010.01100001..11111111.1111111118.97.255.255
Split into smaller subnets/27

18.97.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
118.97.0.0/2718.97.0.1 to 18.97.0.3018.97.0.3130
218.97.0.32/2718.97.0.33 to 18.97.0.6218.97.0.6330
318.97.0.64/2718.97.0.65 to 18.97.0.9418.97.0.9530
418.97.0.96/2718.97.0.97 to 18.97.0.12618.97.0.12730
518.97.0.128/2718.97.0.129 to 18.97.0.15818.97.0.15930
618.97.0.160/2718.97.0.161 to 18.97.0.19018.97.0.19130
718.97.0.192/2718.97.0.193 to 18.97.0.22218.97.0.22330
818.97.0.224/2718.97.0.225 to 18.97.0.25418.97.0.25530
918.97.1.0/2718.97.1.1 to 18.97.1.3018.97.1.3130
1018.97.1.32/2718.97.1.33 to 18.97.1.6218.97.1.6330
1118.97.1.64/2718.97.1.65 to 18.97.1.9418.97.1.9530
1218.97.1.96/2718.97.1.97 to 18.97.1.12618.97.1.12730
1318.97.1.128/2718.97.1.129 to 18.97.1.15818.97.1.15930
1418.97.1.160/2718.97.1.161 to 18.97.1.19018.97.1.19130
1518.97.1.192/2718.97.1.193 to 18.97.1.22218.97.1.22330
1618.97.1.224/2718.97.1.225 to 18.97.1.25418.97.1.25530
1718.97.2.0/2718.97.2.1 to 18.97.2.3018.97.2.3130
1818.97.2.32/2718.97.2.33 to 18.97.2.6218.97.2.6330
1918.97.2.64/2718.97.2.65 to 18.97.2.9418.97.2.9530
2018.97.2.96/2718.97.2.97 to 18.97.2.12618.97.2.12730
2118.97.2.128/2718.97.2.129 to 18.97.2.15818.97.2.15930
2218.97.2.160/2718.97.2.161 to 18.97.2.19018.97.2.19130
2318.97.2.192/2718.97.2.193 to 18.97.2.22218.97.2.22330
2418.97.2.224/2718.97.2.225 to 18.97.2.25418.97.2.25530
2518.97.3.0/2718.97.3.1 to 18.97.3.3018.97.3.3130
2618.97.3.32/2718.97.3.33 to 18.97.3.6218.97.3.6330
2718.97.3.64/2718.97.3.65 to 18.97.3.9418.97.3.9530
2818.97.3.96/2718.97.3.97 to 18.97.3.12618.97.3.12730
2918.97.3.128/2718.97.3.129 to 18.97.3.15818.97.3.15930
3018.97.3.160/2718.97.3.161 to 18.97.3.19018.97.3.19130
3118.97.3.192/2718.97.3.193 to 18.97.3.22218.97.3.22330
3218.97.3.224/2718.97.3.225 to 18.97.3.25418.97.3.25530
3318.97.4.0/2718.97.4.1 to 18.97.4.3018.97.4.3130
3418.97.4.32/2718.97.4.33 to 18.97.4.6218.97.4.6330
3518.97.4.64/2718.97.4.65 to 18.97.4.9418.97.4.9530
3618.97.4.96/2718.97.4.97 to 18.97.4.12618.97.4.12730
3718.97.4.128/2718.97.4.129 to 18.97.4.15818.97.4.15930
3818.97.4.160/2718.97.4.161 to 18.97.4.19018.97.4.19130
3918.97.4.192/2718.97.4.193 to 18.97.4.22218.97.4.22330
4018.97.4.224/2718.97.4.225 to 18.97.4.25418.97.4.25530
4118.97.5.0/2718.97.5.1 to 18.97.5.3018.97.5.3130
4218.97.5.32/2718.97.5.33 to 18.97.5.6218.97.5.6330
4318.97.5.64/2718.97.5.65 to 18.97.5.9418.97.5.9530
4418.97.5.96/2718.97.5.97 to 18.97.5.12618.97.5.12730
4518.97.5.128/2718.97.5.129 to 18.97.5.15818.97.5.15930
4618.97.5.160/2718.97.5.161 to 18.97.5.19018.97.5.19130
4718.97.5.192/2718.97.5.193 to 18.97.5.22218.97.5.22330
4818.97.5.224/2718.97.5.225 to 18.97.5.25418.97.5.25530
4918.97.6.0/2718.97.6.1 to 18.97.6.3018.97.6.3130
5018.97.6.32/2718.97.6.33 to 18.97.6.6218.97.6.6330
5118.97.6.64/2718.97.6.65 to 18.97.6.9418.97.6.9530
5218.97.6.96/2718.97.6.97 to 18.97.6.12618.97.6.12730
5318.97.6.128/2718.97.6.129 to 18.97.6.15818.97.6.15930
5418.97.6.160/2718.97.6.161 to 18.97.6.19018.97.6.19130
5518.97.6.192/2718.97.6.193 to 18.97.6.22218.97.6.22330
5618.97.6.224/2718.97.6.225 to 18.97.6.25418.97.6.25530
5718.97.7.0/2718.97.7.1 to 18.97.7.3018.97.7.3130
5818.97.7.32/2718.97.7.33 to 18.97.7.6218.97.7.6330
5918.97.7.64/2718.97.7.65 to 18.97.7.9418.97.7.9530
6018.97.7.96/2718.97.7.97 to 18.97.7.12618.97.7.12730
6118.97.7.128/2718.97.7.129 to 18.97.7.15818.97.7.15930
6218.97.7.160/2718.97.7.161 to 18.97.7.19018.97.7.19130
6318.97.7.192/2718.97.7.193 to 18.97.7.22218.97.7.22330
6418.97.7.224/2718.97.7.225 to 18.97.7.25418.97.7.25530
6518.97.8.0/2718.97.8.1 to 18.97.8.3018.97.8.3130
6618.97.8.32/2718.97.8.33 to 18.97.8.6218.97.8.6330
6718.97.8.64/2718.97.8.65 to 18.97.8.9418.97.8.9530
6818.97.8.96/2718.97.8.97 to 18.97.8.12618.97.8.12730
6918.97.8.128/2718.97.8.129 to 18.97.8.15818.97.8.15930
7018.97.8.160/2718.97.8.161 to 18.97.8.19018.97.8.19130
7118.97.8.192/2718.97.8.193 to 18.97.8.22218.97.8.22330
7218.97.8.224/2718.97.8.225 to 18.97.8.25418.97.8.25530
7318.97.9.0/2718.97.9.1 to 18.97.9.3018.97.9.3130
7418.97.9.32/2718.97.9.33 to 18.97.9.6218.97.9.6330
7518.97.9.64/2718.97.9.65 to 18.97.9.9418.97.9.9530
7618.97.9.96/2718.97.9.97 to 18.97.9.12618.97.9.12730
7718.97.9.128/2718.97.9.129 to 18.97.9.15818.97.9.15930
7818.97.9.160/2718.97.9.161 to 18.97.9.19018.97.9.19130
7918.97.9.192/2718.97.9.193 to 18.97.9.22218.97.9.22330
8018.97.9.224/2718.97.9.225 to 18.97.9.25418.97.9.25530
8118.97.10.0/2718.97.10.1 to 18.97.10.3018.97.10.3130
8218.97.10.32/2718.97.10.33 to 18.97.10.6218.97.10.6330
8318.97.10.64/2718.97.10.65 to 18.97.10.9418.97.10.9530
8418.97.10.96/2718.97.10.97 to 18.97.10.12618.97.10.12730
8518.97.10.128/2718.97.10.129 to 18.97.10.15818.97.10.15930
8618.97.10.160/2718.97.10.161 to 18.97.10.19018.97.10.19130
8718.97.10.192/2718.97.10.193 to 18.97.10.22218.97.10.22330
8818.97.10.224/2718.97.10.225 to 18.97.10.25418.97.10.25530
8918.97.11.0/2718.97.11.1 to 18.97.11.3018.97.11.3130
9018.97.11.32/2718.97.11.33 to 18.97.11.6218.97.11.6330
9118.97.11.64/2718.97.11.65 to 18.97.11.9418.97.11.9530
9218.97.11.96/2718.97.11.97 to 18.97.11.12618.97.11.12730
9318.97.11.128/2718.97.11.129 to 18.97.11.15818.97.11.15930
9418.97.11.160/2718.97.11.161 to 18.97.11.19018.97.11.19130
9518.97.11.192/2718.97.11.193 to 18.97.11.22218.97.11.22330
9618.97.11.224/2718.97.11.225 to 18.97.11.25418.97.11.25530
9718.97.12.0/2718.97.12.1 to 18.97.12.3018.97.12.3130
9818.97.12.32/2718.97.12.33 to 18.97.12.6218.97.12.6330
9918.97.12.64/2718.97.12.65 to 18.97.12.9418.97.12.9530
10018.97.12.96/2718.97.12.97 to 18.97.12.12618.97.12.12730
10118.97.12.128/2718.97.12.129 to 18.97.12.15818.97.12.15930
10218.97.12.160/2718.97.12.161 to 18.97.12.19018.97.12.19130
10318.97.12.192/2718.97.12.193 to 18.97.12.22218.97.12.22330
10418.97.12.224/2718.97.12.225 to 18.97.12.25418.97.12.25530
10518.97.13.0/2718.97.13.1 to 18.97.13.3018.97.13.3130
10618.97.13.32/2718.97.13.33 to 18.97.13.6218.97.13.6330
10718.97.13.64/2718.97.13.65 to 18.97.13.9418.97.13.9530
10818.97.13.96/2718.97.13.97 to 18.97.13.12618.97.13.12730
10918.97.13.128/2718.97.13.129 to 18.97.13.15818.97.13.15930
11018.97.13.160/2718.97.13.161 to 18.97.13.19018.97.13.19130
11118.97.13.192/2718.97.13.193 to 18.97.13.22218.97.13.22330
11218.97.13.224/2718.97.13.225 to 18.97.13.25418.97.13.25530
11318.97.14.0/2718.97.14.1 to 18.97.14.3018.97.14.3130
11418.97.14.32/2718.97.14.33 to 18.97.14.6218.97.14.6330
11518.97.14.64/2718.97.14.65 to 18.97.14.9418.97.14.9530
11618.97.14.96/2718.97.14.97 to 18.97.14.12618.97.14.12730
11718.97.14.128/2718.97.14.129 to 18.97.14.15818.97.14.15930
11818.97.14.160/2718.97.14.161 to 18.97.14.19018.97.14.19130
11918.97.14.192/2718.97.14.193 to 18.97.14.22218.97.14.22330
12018.97.14.224/2718.97.14.225 to 18.97.14.25418.97.14.25530
12118.97.15.0/2718.97.15.1 to 18.97.15.3018.97.15.3130
12218.97.15.32/2718.97.15.33 to 18.97.15.6218.97.15.6330
12318.97.15.64/2718.97.15.65 to 18.97.15.9418.97.15.9530
12418.97.15.96/2718.97.15.97 to 18.97.15.12618.97.15.12730
12518.97.15.128/2718.97.15.129 to 18.97.15.15818.97.15.15930
12618.97.15.160/2718.97.15.161 to 18.97.15.19018.97.15.19130
12718.97.15.192/2718.97.15.193 to 18.97.15.22218.97.15.22330
12818.97.15.224/2718.97.15.225 to 18.97.15.25418.97.15.25530
12918.97.16.0/2718.97.16.1 to 18.97.16.3018.97.16.3130
13018.97.16.32/2718.97.16.33 to 18.97.16.6218.97.16.6330
13118.97.16.64/2718.97.16.65 to 18.97.16.9418.97.16.9530
13218.97.16.96/2718.97.16.97 to 18.97.16.12618.97.16.12730
13318.97.16.128/2718.97.16.129 to 18.97.16.15818.97.16.15930
13418.97.16.160/2718.97.16.161 to 18.97.16.19018.97.16.19130
13518.97.16.192/2718.97.16.193 to 18.97.16.22218.97.16.22330
13618.97.16.224/2718.97.16.225 to 18.97.16.25418.97.16.25530
13718.97.17.0/2718.97.17.1 to 18.97.17.3018.97.17.3130
13818.97.17.32/2718.97.17.33 to 18.97.17.6218.97.17.6330
13918.97.17.64/2718.97.17.65 to 18.97.17.9418.97.17.9530
14018.97.17.96/2718.97.17.97 to 18.97.17.12618.97.17.12730
14118.97.17.128/2718.97.17.129 to 18.97.17.15818.97.17.15930
14218.97.17.160/2718.97.17.161 to 18.97.17.19018.97.17.19130
14318.97.17.192/2718.97.17.193 to 18.97.17.22218.97.17.22330
14418.97.17.224/2718.97.17.225 to 18.97.17.25418.97.17.25530
14518.97.18.0/2718.97.18.1 to 18.97.18.3018.97.18.3130
14618.97.18.32/2718.97.18.33 to 18.97.18.6218.97.18.6330
14718.97.18.64/2718.97.18.65 to 18.97.18.9418.97.18.9530
14818.97.18.96/2718.97.18.97 to 18.97.18.12618.97.18.12730
14918.97.18.128/2718.97.18.129 to 18.97.18.15818.97.18.15930
15018.97.18.160/2718.97.18.161 to 18.97.18.19018.97.18.19130
15118.97.18.192/2718.97.18.193 to 18.97.18.22218.97.18.22330
15218.97.18.224/2718.97.18.225 to 18.97.18.25418.97.18.25530
15318.97.19.0/2718.97.19.1 to 18.97.19.3018.97.19.3130
15418.97.19.32/2718.97.19.33 to 18.97.19.6218.97.19.6330
15518.97.19.64/2718.97.19.65 to 18.97.19.9418.97.19.9530
15618.97.19.96/2718.97.19.97 to 18.97.19.12618.97.19.12730
15718.97.19.128/2718.97.19.129 to 18.97.19.15818.97.19.15930
15818.97.19.160/2718.97.19.161 to 18.97.19.19018.97.19.19130
15918.97.19.192/2718.97.19.193 to 18.97.19.22218.97.19.22330
16018.97.19.224/2718.97.19.225 to 18.97.19.25418.97.19.25530
16118.97.20.0/2718.97.20.1 to 18.97.20.3018.97.20.3130
16218.97.20.32/2718.97.20.33 to 18.97.20.6218.97.20.6330
16318.97.20.64/2718.97.20.65 to 18.97.20.9418.97.20.9530
16418.97.20.96/2718.97.20.97 to 18.97.20.12618.97.20.12730
16518.97.20.128/2718.97.20.129 to 18.97.20.15818.97.20.15930
16618.97.20.160/2718.97.20.161 to 18.97.20.19018.97.20.19130
16718.97.20.192/2718.97.20.193 to 18.97.20.22218.97.20.22330
16818.97.20.224/2718.97.20.225 to 18.97.20.25418.97.20.25530
16918.97.21.0/2718.97.21.1 to 18.97.21.3018.97.21.3130
17018.97.21.32/2718.97.21.33 to 18.97.21.6218.97.21.6330
17118.97.21.64/2718.97.21.65 to 18.97.21.9418.97.21.9530
17218.97.21.96/2718.97.21.97 to 18.97.21.12618.97.21.12730
17318.97.21.128/2718.97.21.129 to 18.97.21.15818.97.21.15930
17418.97.21.160/2718.97.21.161 to 18.97.21.19018.97.21.19130
17518.97.21.192/2718.97.21.193 to 18.97.21.22218.97.21.22330
17618.97.21.224/2718.97.21.225 to 18.97.21.25418.97.21.25530
17718.97.22.0/2718.97.22.1 to 18.97.22.3018.97.22.3130
17818.97.22.32/2718.97.22.33 to 18.97.22.6218.97.22.6330
17918.97.22.64/2718.97.22.65 to 18.97.22.9418.97.22.9530
18018.97.22.96/2718.97.22.97 to 18.97.22.12618.97.22.12730
18118.97.22.128/2718.97.22.129 to 18.97.22.15818.97.22.15930
18218.97.22.160/2718.97.22.161 to 18.97.22.19018.97.22.19130
18318.97.22.192/2718.97.22.193 to 18.97.22.22218.97.22.22330
18418.97.22.224/2718.97.22.225 to 18.97.22.25418.97.22.25530
18518.97.23.0/2718.97.23.1 to 18.97.23.3018.97.23.3130
18618.97.23.32/2718.97.23.33 to 18.97.23.6218.97.23.6330
18718.97.23.64/2718.97.23.65 to 18.97.23.9418.97.23.9530
18818.97.23.96/2718.97.23.97 to 18.97.23.12618.97.23.12730
18918.97.23.128/2718.97.23.129 to 18.97.23.15818.97.23.15930
19018.97.23.160/2718.97.23.161 to 18.97.23.19018.97.23.19130
19118.97.23.192/2718.97.23.193 to 18.97.23.22218.97.23.22330
19218.97.23.224/2718.97.23.225 to 18.97.23.25418.97.23.25530
19318.97.24.0/2718.97.24.1 to 18.97.24.3018.97.24.3130
19418.97.24.32/2718.97.24.33 to 18.97.24.6218.97.24.6330
19518.97.24.64/2718.97.24.65 to 18.97.24.9418.97.24.9530
19618.97.24.96/2718.97.24.97 to 18.97.24.12618.97.24.12730
19718.97.24.128/2718.97.24.129 to 18.97.24.15818.97.24.15930
19818.97.24.160/2718.97.24.161 to 18.97.24.19018.97.24.19130
19918.97.24.192/2718.97.24.193 to 18.97.24.22218.97.24.22330
20018.97.24.224/2718.97.24.225 to 18.97.24.25418.97.24.25530
20118.97.25.0/2718.97.25.1 to 18.97.25.3018.97.25.3130
20218.97.25.32/2718.97.25.33 to 18.97.25.6218.97.25.6330
20318.97.25.64/2718.97.25.65 to 18.97.25.9418.97.25.9530
20418.97.25.96/2718.97.25.97 to 18.97.25.12618.97.25.12730
20518.97.25.128/2718.97.25.129 to 18.97.25.15818.97.25.15930
20618.97.25.160/2718.97.25.161 to 18.97.25.19018.97.25.19130
20718.97.25.192/2718.97.25.193 to 18.97.25.22218.97.25.22330
20818.97.25.224/2718.97.25.225 to 18.97.25.25418.97.25.25530
20918.97.26.0/2718.97.26.1 to 18.97.26.3018.97.26.3130
21018.97.26.32/2718.97.26.33 to 18.97.26.6218.97.26.6330
21118.97.26.64/2718.97.26.65 to 18.97.26.9418.97.26.9530
21218.97.26.96/2718.97.26.97 to 18.97.26.12618.97.26.12730
21318.97.26.128/2718.97.26.129 to 18.97.26.15818.97.26.15930
21418.97.26.160/2718.97.26.161 to 18.97.26.19018.97.26.19130
21518.97.26.192/2718.97.26.193 to 18.97.26.22218.97.26.22330
21618.97.26.224/2718.97.26.225 to 18.97.26.25418.97.26.25530
21718.97.27.0/2718.97.27.1 to 18.97.27.3018.97.27.3130
21818.97.27.32/2718.97.27.33 to 18.97.27.6218.97.27.6330
21918.97.27.64/2718.97.27.65 to 18.97.27.9418.97.27.9530
22018.97.27.96/2718.97.27.97 to 18.97.27.12618.97.27.12730
22118.97.27.128/2718.97.27.129 to 18.97.27.15818.97.27.15930
22218.97.27.160/2718.97.27.161 to 18.97.27.19018.97.27.19130
22318.97.27.192/2718.97.27.193 to 18.97.27.22218.97.27.22330
22418.97.27.224/2718.97.27.225 to 18.97.27.25418.97.27.25530
22518.97.28.0/2718.97.28.1 to 18.97.28.3018.97.28.3130
22618.97.28.32/2718.97.28.33 to 18.97.28.6218.97.28.6330
22718.97.28.64/2718.97.28.65 to 18.97.28.9418.97.28.9530
22818.97.28.96/2718.97.28.97 to 18.97.28.12618.97.28.12730
22918.97.28.128/2718.97.28.129 to 18.97.28.15818.97.28.15930
23018.97.28.160/2718.97.28.161 to 18.97.28.19018.97.28.19130
23118.97.28.192/2718.97.28.193 to 18.97.28.22218.97.28.22330
23218.97.28.224/2718.97.28.225 to 18.97.28.25418.97.28.25530
23318.97.29.0/2718.97.29.1 to 18.97.29.3018.97.29.3130
23418.97.29.32/2718.97.29.33 to 18.97.29.6218.97.29.6330
23518.97.29.64/2718.97.29.65 to 18.97.29.9418.97.29.9530
23618.97.29.96/2718.97.29.97 to 18.97.29.12618.97.29.12730
23718.97.29.128/2718.97.29.129 to 18.97.29.15818.97.29.15930
23818.97.29.160/2718.97.29.161 to 18.97.29.19018.97.29.19130
23918.97.29.192/2718.97.29.193 to 18.97.29.22218.97.29.22330
24018.97.29.224/2718.97.29.225 to 18.97.29.25418.97.29.25530
24118.97.30.0/2718.97.30.1 to 18.97.30.3018.97.30.3130
24218.97.30.32/2718.97.30.33 to 18.97.30.6218.97.30.6330
24318.97.30.64/2718.97.30.65 to 18.97.30.9418.97.30.9530
24418.97.30.96/2718.97.30.97 to 18.97.30.12618.97.30.12730
24518.97.30.128/2718.97.30.129 to 18.97.30.15818.97.30.15930
24618.97.30.160/2718.97.30.161 to 18.97.30.19018.97.30.19130
24718.97.30.192/2718.97.30.193 to 18.97.30.22218.97.30.22330
24818.97.30.224/2718.97.30.225 to 18.97.30.25418.97.30.25530
24918.97.31.0/2718.97.31.1 to 18.97.31.3018.97.31.3130
25018.97.31.32/2718.97.31.33 to 18.97.31.6218.97.31.6330
25118.97.31.64/2718.97.31.65 to 18.97.31.9418.97.31.9530
25218.97.31.96/2718.97.31.97 to 18.97.31.12618.97.31.12730
25318.97.31.128/2718.97.31.129 to 18.97.31.15818.97.31.15930
25418.97.31.160/2718.97.31.161 to 18.97.31.19018.97.31.19130
25518.97.31.192/2718.97.31.193 to 18.97.31.22218.97.31.22330
25618.97.31.224/2718.97.31.225 to 18.97.31.25418.97.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses